/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

/*** 
This is the menu creation code - place it right after you body tag
Feel free to add this to a stand-alone js file and link it to your page.
**/

//Extra code to find position:
function findPos(){
  if(bw.ns4){   //Netscape 4
    x = document.layers.layerMenu.pageX
    y = document.layers.layerMenu.pageY
  }else{ //other browsers
    x=0; y=0; var el,temp
    el = bw.ie4?document.all["divMenu"]:document.getElementById("divMenu");
    if(el.offsetParent){
      temp = el
      while(temp.offsetParent){ //Looping parent elements to get the offset of them as well
        temp=temp.offsetParent; 
        x+=temp.offsetLeft
        y+=temp.offsetTop;
      }
    }
    x+=el.offsetLeft
    y+=el.offsetTop
  }
  //Returning the x and y as an array
  return [x,y]
}

// Foncion pour retrouver le chemin racine
function chemin_racine()
{
	var chemin='';
	var chemin_rel=window.location.pathname;
	
	chemin_rel=chemin_rel.substr(1,chemin_rel.length-1);

	var tab_chemin=chemin_rel.split('/');
	var port=window.location.port;
	
	if (port)
		chemin=window.location.protocol+':'+port+'//'+window.location.host;
	else
		chemin=window.location.protocol+'//'+window.location.host;
		
	for  (i=0; i<tab_chemin.length-2; i++)
	{
		chemin+='/'+tab_chemin[i];
	}
		
	return chemin;
}


pos = findPos()
chemin= chemin_racine()

//Menu object creation
oCMenu=new makeCM("oCMenu") //Making the menu object. Argument: menuname

oCMenu.frames = 0

//Menu properties   
oCMenu.pxBetween=3
//oCMenu.fromLeft=20 
// oCMenu.fromTop=0   
//Using the cm_page object to place the menu ----
oCMenu.fromLeft=pos[0]
oCMenu.fromTop=pos[1]
//We also need to "re place" the menu on resize. So:
oCMenu.onresize="pos = findPos(); oCMenu.fromLeft=pos[0]; oCMenu.fromTop=pos[1]"
oCMenu.rows=1 
oCMenu.menuPlacement="left"
                                                             
oCMenu.offlineRoot="" 
oCMenu.onlineRoot="" 
oCMenu.resizeCheck=1 
oCMenu.wait=1000
oCMenu.fillImg="cm_fill.gif"
oCMenu.zIndex=0

//Background bar properties
oCMenu.useBar=1
oCMenu.barWidth="100%"
oCMenu.barHeight=20
 
oCMenu.barClass="clBar"
oCMenu.barX=0 
oCMenu.barY=pos[1]
oCMenu.barBorderX=0
oCMenu.barBorderY=0
oCMenu.barBorderClass=""

//Level properties - ALL properties have to be spesified in level 0
oCMenu.level[0]=new cm_makeLevel() //Add this for each new level
oCMenu.level[0].width=115
oCMenu.level[0].height=18 
oCMenu.level[0].regClass="clLevel0"
oCMenu.level[0].overClass="clLevel0over"
oCMenu.level[0].borderX=0
oCMenu.level[0].borderY=0
oCMenu.level[0].borderClass="clLevel0border"
oCMenu.level[0].offsetX=0
oCMenu.level[0].offsetY=0
oCMenu.level[0].rows=0
oCMenu.level[0].arrow=0
oCMenu.level[0].arrowWidth=0
oCMenu.level[0].arrowHeight=0
oCMenu.level[0].align="bottom"

//EXAMPLE SUB LEVEL[1] PROPERTIES - You have to specify the properties you want different from LEVEL[0] - If you want all items to look the same just remove this
oCMenu.level[1]=new cm_makeLevel() //Add this for each new level (adding one to the number)
oCMenu.level[1].width=oCMenu.level[0].width+5
oCMenu.level[1].height=18
oCMenu.level[1].regClass="clLevel1"
oCMenu.level[1].overClass="clLevel1over"
oCMenu.level[1].borderX=1
oCMenu.level[1].borderY=1
oCMenu.level[1].arrow=chemin+"/img/flmenu.gif"
oCMenu.level[1].arrowWidth=6
oCMenu.level[1].arrowHeight=12
oCMenu.level[1].align="right" 
// oCMenu.level[1].offsetX=-(oCMenu.level[0].width-2)/2+20
oCMenu.level[1].offsetX=-5
oCMenu.level[1].offsetY=2
oCMenu.level[1].borderClass="clLevel1border"


//EXAMPLE SUB LEVEL[2] PROPERTIES - You have to spesify the properties you want different from LEVEL[1] OR LEVEL[0] - If you want all items to look the same just remove this
oCMenu.level[2]=new cm_makeLevel() //Add this for each new level (adding one to the number)
oCMenu.level[2].width=125
oCMenu.level[2].height=18
oCMenu.level[2].offsetX=0
oCMenu.level[2].offsetY=0
oCMenu.level[2].regClass="clLevel2"
oCMenu.level[2].overClass="clLevel2over"
oCMenu.level[2].borderClass="clLevel2border"
oCMenu.level[2].arrow=chemin+"/img/flmenu.gif"
oCMenu.level[2].arrowWidth=6
oCMenu.level[2].arrowHeight=12

/******************************************
Menu item creation:
myCoolMenu.makeMenu(name, parent_name, text, link, target, width, height, regImage, overImage, regClass, overClass , align, rows, nolink, onclick, onmouseover, onmouseout) 
*************************************/

oCMenu.makeMenu('top1','','&nbsp;Interne','')
	oCMenu.makeMenu('sub11','top1','Envoyer Message','dde_maj.php?ori=pr','')
	oCMenu.makeMenu('sub12','top1','Vos coordonn&eacute;es','do_maj.php')
	oCMenu.makeMenu('sub13','top1','Vos Techniciens','')
		oCMenu.makeMenu('sub130','sub13','Gestion','tec_lst.php?td=2')
		oCMenu.makeMenu('sub131','sub13','Emailing','email_maj.php?td=tecd')
		oCMenu.makeMenu('sub132','sub13','Statistiques','tecd_stat.php')
	
oCMenu.makeMenu('top3','','&nbsp;Clients','')
	oCMenu.makeMenu('sub30','top3','Gestion','cli_lst.php')
	oCMenu.makeMenu('sub31','top3','Emailing','email_maj.php?td=cli')
	oCMenu.makeMenu('sub32','top3','Statistiques','')

oCMenu.makeMenu('top4','','&nbsp;Interventions','')
	oCMenu.makeMenu('sub40','top4','Gestion','int_lst.php?ord=DES&tri=Code')
	oCMenu.makeMenu('sub41','top4','Statistiques','')

//Leave this line - it constructs the menu
oCMenu.construct()		
